using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Configuration;

using Quiksoft.EasyMail.SMTP;


namespace Order
{
	/// <summary>
	/// Summary description for Eval.
	/// </summary>
	public class Eval : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.TextBox EmailAddress;
		protected System.Web.UI.WebControls.Label Label5;
		protected System.Web.UI.WebControls.Label Label6;
		protected System.Web.UI.WebControls.TextBox Name;
		protected System.Web.UI.WebControls.Label Label7;
		protected System.Web.UI.WebControls.TextBox PhoneNumber;
		protected System.Web.UI.WebControls.Label Label8;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Button Submit;
		protected System.Web.UI.WebControls.DropDownList Item;
	

		/// <summary>
		/// Email account for sending emails
		/// </summary>
		static internal protected string SmtpAddress = ConfigurationSettings.AppSettings["SmtpServer"];	//mail.dc1.adelphia.net
		static internal protected string SupportUrl = ConfigurationSettings.AppSettings["SupportUrl"];
		protected System.Web.UI.WebControls.Label Label11;
		protected System.Web.UI.WebControls.ImageButton ImageButton1;
		protected System.Web.UI.WebControls.ImageButton ImageButton2;
		protected System.Web.UI.WebControls.ImageButton ImageButton3;
		protected System.Web.UI.WebControls.ImageButton ImageButton4;
		protected System.Web.UI.WebControls.ImageButton ImageButton5;
		protected System.Web.UI.WebControls.ImageButton ImageButton6;
		protected System.Web.UI.WebControls.ImageButton ImageButton7;
		protected System.Web.UI.WebControls.ImageButton ImageButton8;
		protected System.Web.UI.WebControls.ImageButton ImageButton10;
		protected System.Web.UI.WebControls.Label Label12;
		protected System.Web.UI.WebControls.Label Description;	//mail.dc1.adelphia.net

		static internal protected string DownloadNotificationTo = ConfigurationSettings.AppSettings["DownloadEmailTo"];		

		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
			//this.Item.SelectedIndex = 5;	//Blues 2006 client
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.ImageButton10.Click += new System.Web.UI.ImageClickEventHandler(this.ImageButton10_Click);
			this.ImageButton8.Click += new System.Web.UI.ImageClickEventHandler(this.ImageButton8_Click);
			this.ImageButton6.Click += new System.Web.UI.ImageClickEventHandler(this.ImageButton6_Click);
			this.ImageButton5.Click += new System.Web.UI.ImageClickEventHandler(this.ImageButton5_Click);
			this.ImageButton4.Click += new System.Web.UI.ImageClickEventHandler(this.ImageButton4_Click);
			this.ImageButton2.Click += new System.Web.UI.ImageClickEventHandler(this.ImageButton2_Click);
			this.Item.SelectedIndexChanged += new System.EventHandler(this.Item_SelectedIndexChanged);
			this.Submit.Click += new System.EventHandler(this.Submit_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Item_SelectedIndexChanged(object sender, System.EventArgs e)
		{

			if(String.Compare(this.Item.SelectedValue,"Blues2003Client",true)==0)
				Description.Text = "Blues 2003 .NET Windows Software";
			else
			if(String.Compare(this.Item.SelectedValue,"Blues2006Client",true)==0)
				Description.Text = "Blues 2006 .NET Windows Software";
			else
			if(String.Compare(this.Item.SelectedValue,"Blues2003Developer",true)==0)
				Description.Text = "Blues 2003 .NET Windows Software";
			else
			if(String.Compare(this.Item.SelectedValue,"Blues2006Developer",true)==0)
				Description.Text = "Blues 2006 .NET Windows Software";
			else
			if(String.Compare(this.Item.SelectedValue,"BluesMobile04",true)==0)
				Description.Text = "Blues Mobile 04 Software";
			else
			if(String.Compare(this.Item.SelectedValue,"BluesMobile06",true)==0)
				Description.Text = "Blues Mobile 05 Software";
			else
			if(String.Compare(this.Item.SelectedValue,"BluesVirtualHost",true)==0)
				Description.Text = "Blues Virtual Host Software";
			else
			if(String.Compare(this.Item.SelectedValue,"Blues2006VirtualHost",true)==0)
				Description.Text = "Blues 2006 Virtual Host Software";
			else
				Description.Text = "Blues 2000 32 bit Windows Software";
		
		}

		static internal protected string EmailOrderFrom = ConfigurationSettings.AppSettings["EmailOrderFrom"];

/// <summary>
/// Send the person an email message with instructions on downloading the trial copy
/// </summary>
/// <param name="sender"></param>
/// <param name="e"></param>
		private void Submit_Click(object sender, System.EventArgs e)
		{
		
			if(this.EmailAddress.Text.Length == 0)
			{
				this.MessageBoxOk("Please enter your email address !");
				return;			
			}

			if(this.Name.Text.Length == 0)
			{
				this.MessageBoxOk("Please enter your name !");
				return;			
			}

			if(this.PhoneNumber.Text.Length == 0)
			{
				this.MessageBoxOk("Please enter your phone number !");
				return;			
			}

			//
			//email myself the download record to import into Goldmine
			//
			string Body = "";

			Body += "\"" + this.Name.Text + "\"" + ",";
			Body += "\"" + "" + "\"" + ",";
			Body += "\"" + "" + "\"" + ",";
			Body += "\"" + "" + "\"" + ",";
			Body += "\"" + "" + "\"" + ",";
			Body += "\"" + "" + "\"" + ",";
			Body += "\"" + "" + "\"" + ",";
			Body += "\"" + "" + "\"" + ",";
			Body += "\"" + "" + "\"" + ",";
			Body += "\"" + this.PhoneNumber.Text + "\"" + ",";
			Body += "\"" + "" + "\"" + ",";
			Body += "\"" + this.EmailAddress.Text + "\"" + ",";
			Body += "\"" + "" + "\"" + ",";
			Body += "\"" + "" + "\"" + ",";
			Body += "\"" + this.Item.SelectedValue + "\"" + "\"";
			this.SendEmail(DownloadNotificationTo,DownloadNotificationTo,"DOWNLOADED TRIAL",Body,null);

			//
			//email the user instructions on downloading the product
			//
			string Product;
			string DownloadUrl;
			string PricingUrl = ConfigurationSettings.AppSettings["PricingHttp"];


			if(String.Compare(this.Item.SelectedValue,"Blues2000",true)==0)
			{
				Product = "Blues 2000";
				DownloadUrl = ConfigurationSettings.AppSettings["Blues2000Trial"];
			}
			else
			if(String.Compare(this.Item.SelectedValue,"Blues2003Developer",true)==0)
			{
				Product = "Blues 2003";
				DownloadUrl = ConfigurationSettings.AppSettings["Blues2003DevTrial"];
			}
			else
			if(String.Compare(this.Item.SelectedValue,"Blues2006Developer",true)==0)
			{
				Product = "Blues 2006 Developer";
				DownloadUrl = ConfigurationSettings.AppSettings["Blues2006DevTrial"];
			}
			else
			if(String.Compare(this.Item.SelectedValue,"BluesMobile04",true)==0)
			{
				Product = "Blues Mobile 04";
				DownloadUrl = ConfigurationSettings.AppSettings["BluesMobileDevTrial"];
			}
			else
			if(String.Compare(this.Item.SelectedValue,"BluesMobile06",true)==0)
			{
				Product = "Blues Mobile 06";
				DownloadUrl = ConfigurationSettings.AppSettings["BluesMobile06Trial"];
			}
			else
			if(String.Compare(this.Item.SelectedValue,"BluesVirtualHost",true)==0)
			{
				Product = "Blues 2003 Virtual Host";
				DownloadUrl = ConfigurationSettings.AppSettings["BluesVirtualHostTrial"];
			}
			else
			if(String.Compare(this.Item.SelectedValue,"Blues2006VirtualHost",true)==0)
			{
				Product = "Blues 2006 Virtual Host";
				DownloadUrl = ConfigurationSettings.AppSettings["Blues2006VirtualHostTrial"];
			}
			else
			if(String.Compare(this.Item.SelectedValue,"Blues2006Client",true)==0)
			{
				Product = "Blues 2006 Client";
				DownloadUrl = ConfigurationSettings.AppSettings["Blues2006CliTrial"];
			}
			else
			{
				Product = "Blues 2003";
				DownloadUrl = ConfigurationSettings.AppSettings["Blues2003CliTrial"];
			}
				
			Body = String.Format("Thank you for trying our {0} product.\r\n\r\nTo download your trial copy, please go to the following address:\r\n\r\n{1}\r\n\r\nIf you need help with the product, please go to the following address:\r\n\r\n{2}\r\n\r\nIf you need pricing, please go to the following address.  Our prices are on our order form:\r\n\r\n{3}\r\n\r\nThank You,\r\n\r\n\r\nNewhart Systems Inc.\r\nwww.newhartsystems.com\r\n315-896-4131\r\n",Product,DownloadUrl,SupportUrl,PricingUrl);
			
			
			this.SendEmail(EmailOrderFrom,this.EmailAddress.Text,String.Format("{0} Download Instructions",Product),Body,null);

			this.MessageBoxOk(String.Format("Thank you, please check your email for instructions on downloading our product."));


		}


		internal bool SendEmail(string From,string To,string Subject,string Body,string AttachedFile)
		{
			bool SendFailed = false;
			Quiksoft.EasyMail.SMTP.SMTP sm = new SMTP();
			Quiksoft.EasyMail.SMTP.EmailMessage ml = new EmailMessage();
			
			
			try
			{
				Quiksoft.EasyMail.SMTP.License.Key = "newhartsystems (Single Developer)/8128517F39914787F411A81610D9A";
 
				ml.From.Email = From;
				ml.Recipients.Add(To);
				ml.Subject = Subject;
				ml.BodyParts.Add(Body);
				sm.SMTPServers.Add(SmtpAddress);

				if(AttachedFile != null)
					ml.Attachments.Add(AttachedFile);


				//				ml.Attachments.Add(this.Package);


				//				sm.LogFile = "c:\\SMTPLOG";
				sm.Send(ml);
				
				SendFailed = false;
			}
			catch(Exception X)
			{
				string Err = String.Format("We have encountered an error trying to process your order : {0}, please call us at 315 896 4131 between 8AM and 5PM EST",X.Message);
				this.MessageBoxOk(Err);

				
				if(SendFailed)
				{
					try
					{
						//
						// Create a log file
						//
						//						File.Delete("c:\\SMTPLOG",false);
						//						sm.LogFile = "c:\\SMTPLOG";
						//						sm.Send(ml);
					}
					catch
					{
					}

				}
				//				MessageBox.Show(String.Format(GetLangMessage("STR_EMAIL_FAILED"),X.Message),"Blues");
				//				MessageBox.Show(GetLangMessage("STR_NOUSER_IN_DB"),"Blues");
			}
			if(SendFailed)
				return(false);
			else
				return(true);

		}



		internal void MessageBoxOk(string Msg)
		{
			
			Response.Write("<script type='text/javascript'>alert('" + Msg +"');</script>");			
			return;

		}

		private void ImageButton5_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			this.Response.Redirect(ConfigurationSettings.AppSettings["HomeUrl"]);
		
		}

		private void ImageButton2_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			this.Response.Redirect(ConfigurationSettings.AppSettings["ProductsUrl"]);
		
		}

		private void ImageButton4_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			this.Response.Redirect(ConfigurationSettings.AppSettings["PricingUrl"]);
		
		}

		private void ImageButton6_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			this.Response.Redirect(ConfigurationSettings.AppSettings["OrderUrl"]);

		}

		private void ImageButton8_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			this.Response.Redirect(ConfigurationSettings.AppSettings["SupportUrl"]);
		
		}

		private void ImageButton10_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			this.Response.Redirect(ConfigurationSettings.AppSettings["ContactUrl"]);

		}


	}
}
